Bug 168443 - HD partition is mounted when automount removable media is configured
HD partition is mounted when automount removable media is configured
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-volume-manager (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-15 20:32 EDT by Vassilios Kotoulas
Modified: 2013-03-05 22:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 11:35:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vassilios Kotoulas 2005-09-15 20:32:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc4 Firefox/1.0.6

Description of problem:
I have a partition which I don't want to be mounted automatically. Here's the line of my /etc/fstab:
/dev/hda3  /mnt/hda3  ext3  noauto,user  1 0
gnome-volume-properties is configured to automount removable media and hotplugged drives but it mounts hda3 too. It is not mounted on boot or in runlevel 3.
It seems that the hard disk partition is treated as removable media or it ignores the noauto option in fstab. 

Version-Release number of selected component (if applicable):
gnome-volume-manager-1.3.1-1

How reproducible:
Always

Steps to Reproduce:
1. have a HD partition of an internal IDE drive in /etc/fstab with the noauto option
2. gnome-volume-properties is configured not to mount removable media when inserted
3. login to gnome-desktop, hda3 is not mounted
4. configure gnome-volume-properties to mount removable media when inserted
5. logout
6. login to gnome desktop

Actual Results:  hda3 is mounted

Expected Results:  hda3 is not mounted

Additional info:

[root@kra:~] uname -a
Linux kra.bla.fasel 2.6.12-1.1447_FC4 #1 Fri Aug 26 20:29:51 EDT 2005 i686 i686 i386 GNU/Linux

[root@kra:~] fdisk -l

Disk /dev/hda: 120.0 GB, 120034123776 bytes
255 heads, 63 sectors/track, 14593 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/hda1   *           1        2675    21486906   83  Linux
/dev/hda2            2676        2806     1052257+  82  Linux swap / Solaris
/dev/hda3            2807        4864    16530885   83  Linux
/dev/hda4            4865       14593    78148192+  83  Linux

[root@kra:~] cat /etc/fstab
/dev/hda1               /                       xfs     defaults        1 1
/dev/hda3               /mnt/hda3               ext3    noauto,user     1 0
/dev/hda4               /data                   xfs     user            1 2
none                    /dev/pts                devpts  gid=5,mode=620  0 0
none                    /proc                   proc    defaults        0 0
none                    /dev/shm                tmpfs   defaults        0 0
/dev/hda2               swap                    swap    defaults        0 0
/dev/hdd                /media/cdrecorder       auto    pamconsole,exec,noauto,managed 0 0
/dev/hdc                /media/cdrom            auto    pamconsole,exec,noauto,managed 0 0
Comment 1 Christian Iseli 2007-01-22 06:18:44 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Vassilios Kotoulas 2007-01-22 11:35:52 EST
the problem has gone away with fc5

Note You need to log in before you can comment on or make changes to this bug.